#!/usr/bin/env python
import os
import sys
    
#add lib path
playbook_file = os.path.realpath(sys.argv[0])
playbook_path=os.path.split(playbook_file)[0]   

lib_path=os.path.join(playbook_path,'library')
if os.path.exists(lib_path) is True:
    sys.path.insert(0,lib_path)
    lib_path=os.path.join(lib_path,'securecat')
    if os.path.exists(lib_path) is True:
        sys.path.insert(0,lib_path)
        modulepath = os.environ.get('CSC_MODULE_PATH')
        if modulepath is None:
            os.environ['CSC_MODULE_PATH'] = lib_path
    
from utils import playbook


class MyPlaybook(playbook.Playbook):
    
    def set_extra_vars_pre(self):
        pass
    
    def set_extra_vars_post(self):
        pass
    
    def get_tasks(self, dir):
        ret = []        
        ret.append([dir, 't_1.py'])
        ret.append([dir, 't_1_2.py'])
        ret.append([dir, 't_1_2_4.py'])
        ret.append([dir, 't_2.py'])
        ret.append([dir, 't_2_2.py'])
        ret.append([dir, 't_2_2_3.py'])
        ret.append([dir, 't_2_2_4.py'])
        ret.append([dir, 't_2_2_5.py'])
        ret.append([dir, 't_2_2_15.py'])
        ret.append([dir, 't_2_2_19.py'])
        ret.append([dir, 't_2_3.py'])
        ret.append([dir, 't_2_3_17.py'])
        ret.append([dir, 't_2_3_17_2.py'])
        ret.append([dir, 't_2_3_17_2_4.py'])
        ret.append([dir, 't_2_3_17_2_4_1.py'])
        ret.append([dir, 't_2_3_17_2_5.py'])
        ret.append([dir, 't_2_3_17_2_5_1.py'])
        return ret
    
if __name__ == '__main__':
    
    myplaybook = MyPlaybook()
    myplaybook.set_role('hw')
    myplaybook.run()
    

